# OpenLayers.Format.WFS

Read/Write WFS.

#### Inherits from

- OpenLayers.Format.GML

Summary

OpenLayers.Format.WFS | Read/Write WFS.
Properties |
layer |
wfsns |
ogcns |
Constructor |
OpenLayers.Format.WFS | Create a WFS-T formatter.
Functions |
write | Takes a feature list, and generates a WFS-T Transaction
createFeatureXML |
insert | Takes a feature, and generates a WFS-T Transaction “Insert”
update | Takes a feature, and generates a WFS-T Transaction “Update”
remove | Takes a feature, and generates a WFS-T Transaction “Delete”
destroy | Remove ciruclar ref to layer

### Properties

### layer

### wfsns

### ogcns

### Constructor

### OpenLayers.Format.WFS

Create a WFS-T formatter. This requires a layer: that layer should have two properties: geometry_column and typename. The parser for this format is subclassed entirely from GML: There is a writer only, which uses most of the code from the GML layer, and wraps it in transactional elements.

#### Parameters

options | {Object}
layer | {OpenLayers.Layer}

### Functions

### write

> write: function( | features | )

Takes a feature list, and generates a WFS-T Transaction

#### Parameters

features | {Array(OpenLayers.Feature.Vector)}

### createFeatureXML

> createFeatureXML: function( | feature | )

#### Parameters

feature | {OpenLayers.Feature.Vector}

### insert

> insert: function( | feature | )

Takes a feature, and generates a WFS-T Transaction “Insert”

#### Parameters

feature | {OpenLayers.Feature.Vector}

### update

> update: function( | feature | )

Takes a feature, and generates a WFS-T Transaction “Update”

#### Parameters

feature | {OpenLayers.Feature.Vector}

### remove

> remove: function( | feature | )

Takes a feature, and generates a WFS-T Transaction “Delete”

#### Parameters

feature | {OpenLayers.Feature.Vector}

### destroy

> destroy: function()

Remove ciruclar ref to layer

> write: function( | features | )

Takes a feature list, and generates a WFS-T Transaction

> createFeatureXML: function( | feature | )

> insert: function( | feature | )

Takes a feature, and generates a WFS-T Transaction “Insert”

> update: function( | feature | )

Takes a feature, and generates a WFS-T Transaction “Update”

> remove: function( | feature | )

Takes a feature, and generates a WFS-T Transaction “Delete”

> destroy: function()

Remove ciruclar ref to layer
Read/Wite GML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close